Bug 446847 - Review Request: nagios-plugins-check_sip - A Nagios plugin to check SIP servers and devices
Review Request: nagios-plugins-check_sip - A Nagios plugin to check SIP serve...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 09:19 EDT by Peter Lemenkov
Modified: 2008-10-09 17:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-09 17:33:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rpandit: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2008-05-16 09:19:19 EDT
Spec URL: http://peter.fedorapeople.org/nagios-plugins-check_sip.spec
SRPM URL: http://peter.fedorapeople.org/nagios-plugins-check_sip-1.2-1.fc9.src.rpm
Description: A Nagios plugin that will test a SIP server/device for availability and response time.

Although this package was easy to cook I've got some thoughts:

* This package requires nagios-plugins-perl which requires nagios-plugins. Shoul I drop this explicit "Requires: nagios-plugins"?
* Original spec-file from Mandriva folks has SysV-scripts in %post and %postun sections (commented out by me). But our nagios-plugins package doesn't have any of these scriptlets - should I drop them completely from this package?

See also:

http://cvs.fedoraproject.org/viewcvs/rpms/nagios-plugins/
Comment 1 Peter Lemenkov 2008-05-16 09:21:05 EDT
CC'ed Mike McGrath as current nagios-plugins maintainer (sorry for disturbance).
Comment 2 Peter Lemenkov 2008-08-10 12:34:10 EDT
Ver. 1.2-2

%changelog
* Sun Aug 10 2008 Peter Lemenkov <lemenkov@gmail.com> 1.2-2
- Fixed issue with multiarch


http://peter.fedorapeople.org/nagios-plugins-check_sip.spec
http://peter.fedorapeople.org/nagios-plugins-check_sip-1.2-2.fc9.src.rpm
Comment 3 Peter Lemenkov 2008-08-23 03:47:22 EDT
New revision:

%changelog
* Sat Aug 23 2008 Peter Lemenkov <lemenkov@gmail.com> 1.2-3
- Cleanups


http://peter.fedorapeople.org/nagios-plugins-check_sip.spec
http://peter.fedorapeople.org/nagios-plugins-check_sip-1.2-3.fc9.src.rpm
Comment 4 Peter Lemenkov 2008-09-30 10:25:54 EDT
New revision:

http://peter.fedorapeople.org/nagios-plugins-check_sip.spec
http://peter.fedorapeople.org/nagios-plugins-check_sip-1.2-4.fc9.src.rpm

%changelog
* Tue Sep 30 2008 Peter Lemenkov <lemenkov@gmail.com> 1.2-4
- Fixed project's URL
- Removed unnecessary explicit "Provides:"
Comment 5 Rakesh Pandit 2008-10-06 22:46:00 EDT
Will review now. coming ... :-)
Comment 6 Rakesh Pandit 2008-10-07 00:04:30 EDT
APPROVED

Suggestions:
1. Fix space and tab mix
2. Include CHANGES also


NA = Not applicable, ! = requires attention, x = passed 

http://koji.fedoraproject.org/koji/taskinfo?taskID=865791

[rpmbuild@rocky SRPMS]$ rpmlint nagios-plugins-check_sip-1.2-4.fc9.src.rpm 
nagios-plugins-check_sip.src: W: mixed-use-of-spaces-and-tabs (spaces: line 57, tab: line 3)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Please correct this

[rpmbuild@rocky i386]$ rpmlint -i nagios-plugins-check_sip-1.2-4.fc9.i386.rpm 
nagios-plugins-check_sip.i386: E: no-binary
The package should be of the noarch architecture because it doesn't contain
any binaries.


Fine

nagios-plugins-check_sip.i386: E: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

Fine

1 packages and 0 specfiles checked; 2 errors, 0 warnings.


Required:
[x] package name
[x] package base name and spec name
[x] packaging guidelines
[x] license file included
[x] license correct
[x] spec legible & in American english
[x] md5sum checked source

okay

[x] package compiled on all primary architectures
[x] Buildrequires tag - okay
[NA] locale
[NA] desktop file - GUI
[x] owns all directories it creates
[x] permissions in %defattr correct
[x] %clean and %install section have 'rm -rf $RPM_BUILD_ROOT'
[x] %doc files don't have any dependency on other section of package
[x] valid encoding

Optional:
[x] description and summary fine
[NA] license file query
[x] package functioning - okay
[x] any scripts 
[x] no dependencies outside FHS guideline paths
[!] you may like to include CHANGES file
Comment 7 Peter Lemenkov 2008-10-07 03:10:55 EDT
Thanks!
Added CHANGES and fixed small issue with tab/space mix

New Package CVS Request
=======================
Package Name: nagios-plugins-check_sip
Short A Nagios plugin to check SIP servers and devices
Owners: peter
Branches: EL-4 EL-5 F-8 F-9
InitialCC: peter
Comment 8 Kevin Fenzi 2008-10-07 13:45:28 EDT
cvs done.
Comment 9 Fedora Update System 2008-10-09 17:33:26 EDT
nagios-plugins-check_sip-1.2-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-10-09 17:34:40 EDT
nagios-plugins-check_sip-1.2-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.